# $Revision: 1.11 $, $Date: 2008-01-16 10:42:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Geometry-Planar-Offset
Summary:	Math::Geometry::Planar::Offset - calculate offset polygons
Summary(pl.UTF-8):	Math::Geometry::Planar::Offset - obliczanie wielokątów offsetowych
Name:		perl-Math-Geometry-Planar-Offset
Version:	1.05
Release:	3
# same as perl (README says it is Artistic only)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1c46de114f06dd742e95b7135009c707
URL:		http://search.cpan.org/dist/Math-Geometry-Planar-Offset/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# not BR - loop
Requires:	perl-Math-Geometry-Planar
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a polygon offsetting function. The offset
calculated is a 'sharp cornered offset'. Both negative and positve
offsets are supported.

%description -l pl.UTF-8
Ten moduł dostarcza funkcję do obliczania wielokątów offsetowych.
Obliczony offset jest "offsetem o ostrych rogach". Obsługiwane są
przesunięcia dodatnie i ujemne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Math/Geometry/Planar
%{perl_vendorlib}/Math/Geometry/Planar/Offset.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Geometry-Planar-Offset.spec,v $
Revision 1.11  2008-01-16 10:42:41  glen
- allow building without loop

Revision 1.10  2008-01-15 21:09:56  glen
- missing dir added here; rel 2

Revision 1.9  2007-12-24 14:03:23  qboosh
- generic URL

Revision 1.8  2007-12-24 01:27:51  zbyniu
- up to 1.05

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.5  2004/12/01 17:52:47  radek
- autoupdated to 1.03

Revision 1.4  2004/11/03 22:30:34  paladine
- formatting

Revision 1.3  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/23 07:50:17  ankry
- license fixes, unification

Revision 1.1  2003/10/26 02:24:14  qboosh
- new
